Bug 90332 - UI: Print Preview resets Tools Options Formatting Aids Hidden Text when non-printing characters are not displayed
Summary: UI: Print Preview resets Tools Options Formatting Aids Hidden Text when non-...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Formatting-Mark Font-Effects Print-Preview
  Show dependency treegraph
 
Reported: 2015-03-29 19:11 UTC by Gordo
Modified: 2017-11-04 09:47 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gordo 2015-03-29 19:11:50 UTC
1. New Text Document.
2. View → Non-printing Characters is off.
3. Tools → Options → LibreOffice Writer → Formatting Aids → check Hidden Text.
4. Return a couple of times in document.
5. Type “test” and Return.
6. Select “test”, right click → Character → Font Effects → check Hidden.
7. File → Print Preview.
8. Close Preview.
9. View → Non-printing Characters (on).
Result:
Hidden text does not display.  If you go back into Tools → Options → LibreOffice Writer → Formatting Aids, then you will see that Hidden Text is no longer checked.

An unlikely scenario:
1. New Text Document.
2. View → Non-printing Characters is off.
3. Tools → Options → LibreOffice Writer → Formatting Aids → check Hidden Text.
4. Type “test” but do not return.
5. Select “test”, right click → Character → Font Effects → check Hidden.
6. File → Print Preview.
7. Close Preview.
8. View → Non-printing Characters (on).
Result:
Hidden text does not display and you cannot place cursor.  If you go back into Tools → Options → LibreOffice Writer → Formatting Aids, then you will see that Hidden Text is no longer checked.

I should mention that the print option for hidden text was not checked for the above tests.  You get the same result if it is checked.

Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Comment 1 A (Andy) 2015-03-29 21:02:58 UTC
@Gordo: What do you mean with Step 4 in the first scenario?
Comment 2 Gordo 2015-03-29 21:37:23 UTC
@Andy:  Carriage Return.  Hit the Return/Enter key.
Comment 3 A (Andy) 2015-03-30 20:33:24 UTC
(In reply to Gordo from comment #2)
> @Andy:  Carriage Return.  Hit the Return/Enter key.

Thanks for your fast reply.

Unfortunately, for me not reproducible with LO 4.4.1.2, Win 8.1.
Comment 4 Gordo 2015-03-30 20:54:23 UTC
In step 6, select "test" means double click or highlight (I didn't want to use that word because it means something else within the context of LO).
Comment 5 A (Andy) 2015-03-30 20:59:42 UTC
(In reply to Gordo from comment #4)
> In step 6, select "test" means double click or highlight (I didn't want to
> use that word because it means something else within the context of LO).

Thank you very much for your feedback.  I made it that way.  But unfortunately, I can still not reproduce it.  Maybe somebody else can reproduce it?
Comment 6 Buovjaga 2015-04-08 16:45:48 UTC
Reproduced both scenarios in description, except I was able to place cursor after the second one.

Win 7 Pro 64-bit, Version: 4.4.2.2
Build ID: c4c7d32d0d49397cad38d62472b0bc8acff48dd6
Locale: fi_FI

Version: 4.5.0.0.alpha0+
Build ID: 8c3cf9dd48e40604867d3a28bddaccd65142df17
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-03-27_15:15:18
Locale: fi_FI

Ubuntu 14.10 64-bit 
Version: 4.4.2.2
Build ID: 40m0(Build:2)
Locale: en_US

Ubuntu 14.10 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 7 Cor Nouws 2015-09-01 07:48:05 UTC
could this be the same as bug 54073 ?
Comment 8 QA Administrators 2016-09-20 10:29:11 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920